%define upstream_name    Tree
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A tree datastructure
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(Data::Dumper) >= 2.136.0
BuildRequires: perl(Exporter) >= 5.660.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Scalar::Util) >= 1.100.0
BuildRequires: perl(Test::Deep) >= 0.88.0
BuildRequires: perl(Test::Exception) >= 0.150.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::Warn) >= 0.80.0
BuildRequires: perl(base) >= 2.160.0
BuildRequires: perl(constant) >= 1.210.0
BuildRequires: perl(overload) >= 1.130.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is meant to be a full-featured N-ary tree representation with
configurable error-handling and a simple events system that allows for
transparent persistence to a variety of datastores. It is derived from the
Tree::Simple manpage, but has a simpler interface and much, much more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc CHANGES META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 374477
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 1.40.0-1.mga3
+ Revision: 317765
- update to 1.04

* Wed Nov 07 2012 jquelin <jquelin> 1.30.0-1.mga3
+ Revision: 315919
- update to 1.03

* Sat Jan 22 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 32522
- mageia rebuild
- imported package perl-Tree

